Skip to main content
Resource Center/Network Service/Network Service Operations/Load Balancing Operations

AddBackendServerToServerGroup

AddBackendServerToServerGroup

POST/zstack/v1/load-balancers/servergroups/{serverGroupUuid}/backendservers

Operation ID

AddBackendServerToServerGroup

Since

4.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • serverGroupUuid
    StringRequired

    The UUID of the server group for load balancing.

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • vmNics
      List

      Optional. The NIC of the backend server.

    • servers
      List

      Optional. The IP address of the backend server.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns an empty JSON object {}.